Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
K
k3s
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Jacklull
k3s
Commits
161b1060
Commit
161b1060
authored
Dec 09, 2015
by
Hongchao Deng
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
scheduler performance test suite: standalone entry script
parent
c0243ad4
Hide whitespace changes
Inline
Side-by-side
Showing
1 changed file
with
46 additions
and
0 deletions
+46
-0
test-performance.sh
test/component/scheduler/perf/test-performance.sh
+46
-0
No files found.
test/component/scheduler/perf/test-performance.sh
0 → 100755
View file @
161b1060
#!/usr/bin/env bash
# Copyright 2014 The Kubernetes Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
set
-o
errexit
set
-o
nounset
set
-o
pipefail
pushd
"../../../.."
source
"./hack/lib/util.sh"
source
"./hack/lib/logging.sh"
source
"./hack/lib/etcd.sh"
popd
cleanup
()
{
kube::etcd::cleanup
kube::log::status
"performance test cleanup complete"
}
trap
cleanup EXIT
kube::etcd::start
kube::log::status
"performance test start"
# TODO: set log-dir and prof output dir.
DIR_BASENAME
=
$(
basename
`
pwd
`
)
go
test
-c
-o
"
${
DIR_BASENAME
}
.test"
# We are using the benchmark suite to do profiling. Because it only runs a few pods and
# theoretically it has less variance.
"./
${
DIR_BASENAME
}
.test"
-test
.bench
=
.
-test
.run
=
xxxx
-test
.cpuprofile
=
prof.out
-logtostderr
=
false
kube::log::status
"benchmark tests finished"
# Running density tests. It might take a long time.
"./
${
DIR_BASENAME
}
.test"
-test
.run
=
.
-test
.timeout
=
60m
kube::log::status
"density tests finished"
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment